> ## Documentation Index
> Fetch the complete documentation index at: https://docs.staminads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start background backfill for all filters



## OpenAPI

````yaml openapi.json post /api/filters.backfillStart
openapi: 3.0.3
info:
  title: Staminads API
  description: Web analytics platform for tracking TimeScore metrics
  version: 1.0.0
servers:
  - url: https://your-instance.example.com
    description: Your Staminads instance
security: []
paths:
  /api/filters.backfillStart:
    post:
      tags:
        - filters
      summary: Start background backfill for all filters
      operationId: FiltersController_backfillStart
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartBackfillDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BackfillStartResponseDto'
components:
  schemas:
    StartBackfillDto:
      type: object
      properties:
        workspace_id:
          type: string
        lookback_days:
          type: number
          minimum: 1
          maximum: 365
        chunk_size_days:
          type: number
          minimum: 1
          maximum: 30
        batch_size:
          type: number
          minimum: 100
          maximum: 50000
      required:
        - workspace_id
        - lookback_days
    BackfillStartResponseDto:
      type: object
      properties:
        task_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          description: The unique identifier for the backfill task
      required:
        - task_id

````